%%licking data analysis
clear,clc
addpath('data folder');
%%
TimeToShow =22;
 tem = dir('data folder\data.mat');

LickEventFlag_Start = 'Port1In'; % 'Wire1High'
LickEventFlag_End = 'Port1Out'; % 'Wire1Low'

for ii = 1:numel(tem)
    load(tem(ii).name)
    TrialTypes = SessionData.TrialTypes;
    RawEvent = SessionData.RawEvents.Trial;
    
    figure
    hold on
    for k=1:numel(RawEvent)
        lick_event = RawEvent{k}.Events;        
        if isfield(lick_event,LickEventFlag_Start)
            evaltext = ['lick_on = lick_event.',LickEventFlag_Start,';'];
            eval(evaltext);
            line([lick_on;lick_on],[zeros(size(lick_on))+0.1+k-1;ones(size(lick_on))-0.1+k-1],'Color','k')
        end
    end
    xlabel('Time (s)','FontSize', 20)
    ylabel('Trial #','FontSize', 18)
    set(gca,'TickDir', 'out','xlim',[2 TimeToShow],'xtick',2:1:30, 'xticklabel',0:1:30,'ylim',[0,numel(RawEvent)],'FontSize', 10);
    print('-dpng',[tem(ii).name(1:end-4),'_Ana1'])
end
